Loading...
Searching...
No Matches
coap_resource_internal.h File Reference

Generic resource internal handling. More...

`#include "coap_internal.h"`
`#include "coap_uthash_internal.h"`
Include dependency graph for coap_resource_internal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | coap_attr_t
| Limits the number of subscribers for each resource that this server support. More...
struct | coap_resource_t
| Abstraction of resource that can be attached to coap_context_t. More...

## Macros

#define | RESOURCES_ADD(r, obj)
#define | RESOURCES_DELETE(r, obj)
#define | RESOURCES_ITER(r, tmp)
#define | RESOURCES_FIND(r, k, res)

## Functions

void | coap_add_resource_lkd (coap_context_t *context, coap_resource_t *resource)
| Registers the given `resource` for `context`.
int | coap_delete_resource_lkd (coap_context_t *context, coap_resource_t *resource)
| Deletes a resource identified by `resource`.
void | coap_delete_all_resources (coap_context_t *context)
| Deletes all resources from given `context` and frees their storage.
coap_resource_t * | coap_get_resource_from_uri_path_lkd (coap_context_t *context, coap_str_const_t *uri_path)
| Returns the resource identified by the unique string `uri_path`.
void | coap_delete_attr (coap_attr_t *attr)
| Deletes an attribute.
coap_print_status_t | coap_print_wellknown_lkd (coap_context_t *context, unsigned char *buf, size_t *buflen, size_t offset, const coap_string_t *query_filter)
| Prints the names of all known resources for `context` to `buf`.

## Detailed Description

Generic resource internal handling.

Definition in file coap_resource_internal.h.